"""splittable_kwargs: split **kwargs among several functions.

Nobody likes maintaining keyword argument defaults across several
levels of nested functions.  Now you don't have to, just use **kwargs
for all your child functions, and let splittable_kwargs manage the
partitioning for you.
"""

classifiers = """\
Development Status :: 2 - Pre-Alpha
Intended Audience :: Developers
Operating System :: POSIX
Operating System :: Unix
License :: Public Domain
Programming Language :: Python
Topic :: Software Development :: Libraries :: Python Modules
"""

# http://peak.telecommunity.com/DevCenter/setuptools#using-setuptools-without-bundling-it
import ez_setup
ez_setup.use_setuptools()

from setuptools import setup, find_packages

# patch distutils if it can't cope with the "classifiers" or
# "download_url" keywords
from sys import version
if version < '2.2.3':
    from distutils.dist import DistributionMetadata
    DistributionMetadata.classifiers = None
    DistributionMetadata.download_url = None

doclines = __doc__.split("\n")

from splittable_kwargs import VERSION

setup(name="splittable_kwargs",
      version=VERSION,
      maintainer="W. Trevor King",
      maintainer_email="wking@drexel.edu",
      url = "http://www.physics.drexel.edu/~wking/code/python/",
      download_url = "http://www.physics.drexel.edu/~wking/code/python/splittable_kwargs-%s.tar.gz" % VERSION,
      license = "Public Domain",
      platforms = ["all"],
      description = doclines[0],
      long_description = "\n".join(doclines[2:]),
      classifiers = filter(None, classifiers.split("\n")),
      py_modules = ['splittable_kwargs', 'ez_setup'],
      #packages = find_packages(),
      )

# use packages to include subdirectory packages
# use py_modules to include single-module packages
# use ext_modules to include extension modules
# see
#   http://www.python.org/doc/2.5.2/dist/listing-modules.html
#   http://www.python.org/doc/2.5.2/dist/describing-extensions.html
